%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%global forgeurl https://github.com/libimobiledevice/libplist

Summary:  Library for manipulating Apple Binary and XML Property Lists
Name:     libplist
Version:  2.3.0
Release:  %autorelease

License:  LGPL-2.0-or-later
URL:      https://www.libimobiledevice.org/
Source:   %{forgeurl}/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: gcc, gcc-c++, make, chrpath
BuildRequires: python3-Cython, python3-devel, python3-setuptools

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

%package  devel
Summary:  Development package for libplist
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
%{name}, development headers and libraries.

%package  -n python3-libplist
Summary:  Python3 bindings for libplist
Requires: %{name} = %{version}-%{release}
Requires: python3

%description -n python3-libplist
%{name}, python3 libraries and bindings.

%prep
%autosetup -p1

%build
export CFLAGS='%optflags -fno-strict-aliasing'
export CXXFLAGS='%optflags -fno-strict-aliasing'
export PYTHON='python3'
%configure --disable-static
%make_build

%install
%make_install

%check
make check

find %{buildroot} -type f -name "*.la" -delete

chrpath --delete %{buildroot}%{_bindir}/plistutil
chrpath --delete %{buildroot}%{_libdir}/libplist++-2.0.so.4*
chrpath --delete %{buildroot}%{python3_sitearch}/plist*


%files
%license COPYING.LESSER
%doc AUTHORS README.md
%{_bindir}/plistutil
%{_libdir}/libplist-2.0.so.4*
%{_libdir}/libplist++-2.0.so.4*
%{_mandir}/man1/plistutil.1*

%files devel
%{_includedir}/plist
%{_libdir}/pkgconfig/libplist-2.0.pc
%{_libdir}/pkgconfig/libplist++-2.0.pc
%{_libdir}/libplist-2.0.so
%{_libdir}/libplist++-2.0.so

%files -n python3-libplist
%{python3_sitearch}/plist.so

%changelog
* Tue Nov 21 2023 Chair <chairou@tencent.com> - 2.3.0-1
- Init
